@import url(general.css);

:root{
  /* Die Höhe von navbar-list im Handymodus */
  --navbar-list-height: 28.375;
  /* Die Höhe von language-list im Desktopmodus */
  --navbar-language-desktop-height: 17.125;
  /* --navbar-list-height: auto; */
  /* --navbar-language-desktop-height: auto; */
}

/* Navbar */
.navbar {
  background-color: var(--color-neutral-white);
  display: flex;
  flex-direction: column;
  padding: 1rem;
  border-bottom: 2px solid var(--color-accent);
}

.wrapper-logo-hamburger-menue{
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.navbar-hamburgerMenue {
  width: 2rem;
  height: 1.5rem;
  cursor: pointer;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.navbar-hamburgerMenue-balken{
  height: .15rem;
  background-color: var(--color-neutral-black);
  border-radius: 2px;
  transition: all .3s;
}

/* Sprachen */
/* ****************************** */
.navbar-symbol{
  height: 1rem;
  aspect-ratio: 16/9;
}

.language-navbar-wrapper{
  display: flex;
  gap: .3rem;
  justify-content: center;
  align-items: center;
  color: var(--color-neutral-black);
  font-size: 1.2rem;
  font-weight: 400;
}

.language-site-flag{
  display: none;
}

.language-list{
  list-style-type: none;
  display: flex;
  flex-direction: column;
  gap: .3rem;
  margin-top: .75rem;
}
.language-list-link{
  display: flex;
  gap: .5rem;
  align-items: center;
}

@media (min-width: 48rem) {
  .language-site-flag{
    display: block;
  }
  .language-list{
    list-style-type: none;
    height: 0;
    margin-top: 0;
    overflow: hidden;
    position: absolute;
    transition: height .5s ease-out, padding-block .5s ease-out;
    background: var(--color-neutral-white);
    padding-inline: 1rem;
    width: max-content;
  }

  .language-listitem-wrapper{
    position: relative;
    cursor: pointer;
  }

  .language-listitem-wrapper:hover .language-list{
    padding-top: 2rem;
    padding-bottom: 1rem;
    height: var(--navbar-language-desktop-height);
    /* height: auto; */
    gap: .5rem;
  }
  
}
/* ************************************** */

/* Wenn das Hamburger-Menue geöffnet ist */
.navbar-hamburgerMenue-balken-mitte.open{
  opacity: 0;
}
.navbar-hamburgerMenue-balken-oben.open{
  transform-origin: left top;
  transform: rotate(45deg)
}
.navbar-hamburgerMenue-balken-unten.open{
  transform-origin: left bottom;
  transform: rotate(-45deg)
}

.navbar-list{
  height: 0;
  overflow: hidden;
  transition: height 0.3s ease-out, padding 0.3s ease-out;
  list-style-type: none;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
  gap: 0.75rem;
}

.navbar-list.open{
  height: var(--navbar-list-height);
  /* height: auto; */
  padding-top: 2.5rem;
  padding-bottom: 1.25rem;
}

.navbar-link {
  color: var(--color-neutral-black);
  font-size: 1.2rem;
  font-weight: 400;
  transition: color .3s linear;
  position: relative;
}

.navbar-link::before {
  content: "";
  position: absolute;
  bottom: -0.5rem;
  left: 0;
  width: 100%;
  height: 2px;
  background-color: var(--color-accent);
  transform: scaleX(0);
  transition: all 0.3s;
}

.navbar-link:hover{
  color: var(--color-accent);
}
.navbar-link:hover::before {
  transform: scaleX(1);
}

@media (min-width: 48rem) {
  .navbar {
    flex-direction: row;
    justify-content: space-between;
    padding: 1rem 2rem;
  }

  .navbar-hamburgerMenue {
    display: none;
  }
  .navbar-list {
    flex-direction: row;
    align-items: center;
    gap: 1rem;
    height: auto !important;
    overflow: visible;
  }
}

/* ********************************************************************************************************************************************************************************************* */
/* Hero */
.hero-container{
  height: 50vh;
  background-image: url(../pics/hero.jpg);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center center;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  color: var(--color-accent);
}

.hero-heading{
  margin-bottom: 1rem;
}

/* ******************************************************************************************************************** */
/* Über uns */
.about-us{
  background-color: var(--color-neutral-grey);
  background-image: url("../pics/lion.svg");
  background-repeat: no-repeat;
  background-size: 80% 80%;
  background-position: center center;
}

.about-us p{
  max-width: 60ch;
  text-align: center;
  margin-inline: auto;
}

/* ******************************************************************************************************************************* */
/* Kartell */

.kartellanten-enumeration{
  list-style-type: none;
  margin-block: 2rem;
  text-align: left;
}

/* ********************************************************************************************************************************************** */
/* Cards */

.cards-container{
  background-color: var(--color-neutral-grey);
}

.vorteile-card-wrapper{
  display: flex;
  flex-direction: column;
  gap: 3rem;
}

.vorteile-card-container{
  display: flex;
  flex-direction: column;
  align-items: center;
  flex-basis: 100%;
  gap: 1.5rem;
  padding: 1.5rem 1rem;
  border-radius: 2rem;
  text-align: center;
  border: 1.5px solid var(--color-accent);
  background-color: var(--color-neutral-white);
}

.vorteile-headline{
  margin-bottom: 0;
  font-size: 1.2rem;
  font-weight: 700;
}

.vorteile-text{
  text-align: center;
}

.vorteile-item-container{
  padding: 1.5rem;
  background-color: var(--color-accent);
  border-radius: 1rem;
}

.vorteile-icon{
  font-size: 2rem;
  color: var(--color-neutral-white);
  
}

/* Große Bildschirme */
@media(min-width: 62rem){
  .vorteile-card-wrapper{
      flex-direction: row;
  }   
}

/* ************************************************************************************************************************************ */
/* Kontakt */

.kontakt{
  background-color: var(--color-neutral-white);
}

.kontakt-wrapper{
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 2rem;
  max-width: 62rem;
  margin: 0 auto;
}

.kontakt-wrapper .kontaktdaten, .kontakt-wrapper .kontaktformular{
  border-radius: 8px;
  box-shadow: 0 .125rem .25rem rgba(0,0,0,.075);
}

/* Kontaktdaten */
.kontaktdaten{
  background-color: var(--color-neutral-grey);
  width: 100%;
  max-width: 25rem;
  padding: 2rem 1rem;
}

.kontaktdaten p{
  font-size: 1.1rem;
  font-weight: 500;
}

.kontaktdaten h3{
  margin-bottom: 3rem;
}

 /* Kontaktformular */

 .kontaktformular {
  background-color: var(--color-neutral-grey);
  color: var(--color-neutral-black);
  border-radius: 2px;
  /* border: 2px solid var(--color-accent); */
  text-align: center;
  padding: 2rem 1rem;
  max-width: 25rem;
  /* margin: 0 auto; */
}

.textbox {
  display: block;
  width: 100%;
  height: 2rem;
  margin-bottom: 1rem;
  background-color: transparent;
  border: none;
  border-bottom: 1px solid var(--color-neutral-black);
  color: var(--color-neutral-black);
  letter-spacing: 1px;
  font-size: 1rem;
  font-family: var(--font-text);
}

.textbox::selection {
  background-color: var(--color-neutral-black);
  color: var(--color-neutral-white);
}

.textbox::placeholder {
  color: var(--color-neutral-black);
  letter-spacing: 1px;
  font-size: 1rem;
}

.textbox:focus {
  outline: none; 
}

.kontaktformular-Nachricht {
  height: 5rem;
  margin-bottom: 2rem;
  resize: none;
}

/* font-family wird offensichtlich nicht vererbt */
.kontaktformular-Nachricht::placeholder{
    font-family: var(--font-text);
}

.einwilligung-wrapper {
  display: flex;
  gap: 1rem;
  align-items: center;
}

.chkbox {
  display: none;
  height: 100%;
  width: 100%;
}

.checkmark{
    height: 1.5rem;
    width: 1.5rem;
    border-radius: .4rem;
    border: 2px solid var(--color-neutral-black);
    padding: .15rem;
    flex-shrink: 0;
    display: flex;
    align-items: center;
    justify-content: center;
}

.einwilligung-arrow{
    display: none;
}

.einwilligung-wrapper > .chkbox:checked ~ .checkmark > .einwilligung-arrow{
    display: inline;
}

.einwilligung-wrapper > .chkbox:checked ~ .checkmark {
    border: .1rem solid black;
}

.text-einwilligung {
  line-height: 1.3;
  text-align: left;
}


/* Wenn Angaben fehlen */
.form-missing {
  border-bottom: 1px solid red;
}
.form-missing::placeholder {
  color: red;
}

/* Überschreibt den Autocomplete-Style von Webkit Browsern */
  
input:-webkit-autofill,
input:-webkit-autofill:hover, 
input:-webkit-autofill:focus,
textarea:-webkit-autofill,
textarea:-webkit-autofill:hover,
textarea:-webkit-autofill:focus{
    -webkit-text-fill-color: var(--color-neutral-black);
    /* Background-Color wird über den Schatten gesetzt */
    -webkit-box-shadow: 0 0 0px 1000px var(--color-neutral-white) inset;
}

/* Mediaqueries */
@media (min-width: 36rem) {
    .kontaktformular
    {
      padding: 2rem;
    }
    .kontaktdaten{
      padding: 2rem;
    }
  }

  @media (min-width: 62rem) {
    .kontakt-wrapper{
      flex-direction: row;
      align-items: stretch;
      justify-content: space-between;
    }
  }

  /* *************************************************************************** */
/* Footer */
.Footer{
  background-color: var(--color-neutral-black);
  display: flex;
  flex-direction: column;
  gap: 2rem;
  color: var(--color-neutral-white);
  text-align: center;
  align-items: center;
  line-height: 1.6;
  padding-top: 2rem;
  padding-bottom: 2rem;
  border-top: 2px solid var(--color-accent);
}

.footer-links{
  display: flex;
  gap: 1rem;
}

.footer-links>a{
  color: var(--color-neutral-white);
  text-decoration: underline;
}

@media (min-width: 62rem) {
  .Footer{
      flex-direction: row;
      justify-content: space-between;
  }
  .Footer>*{
      flex-basis: 100%;
  }
  .footer-links{
      justify-content: flex-end;
  }
}

/* ******************************************************************************************************************** */
/* Unterseiten */
.subpage{
  min-height: 100vh;
  display: grid;
  grid-template-rows: auto 1fr auto;
  text-align: center;
  color: var(--color-neutral-black);
}


.kontakterfolg-haken {
  font-size: 9rem;
  color: green;
  margin-bottom: 3rem;
  text-align: center;
}

/* Kontaktfehler */

.kontaktfehler-telefon>i{
  font-size: 2.5rem;
}
.kontaktfehler-kreuz {
  font-size: 9rem;
  color: red;
  margin-bottom: 3rem;
  text-align: center;
}

/* Datenschutz */
.datenschutzerklaerung{
    text-align: left;
    background-color: var(--color-neutral-grey);
}
.datenschutzerklaerung ul{
  margin-bottom: 1rem;
}
.datenschutzerklaerung li{
  margin-left: 1rem;
}
.datenschutzerklaerung h2{
  margin-top: 3rem;
}
.datenschutzerklaerung h3{
  margin-top: 2rem;
}

/* Impressum */
.impressum{
  background-color: var(--color-neutral-grey);
}


/* ****************************************************************************************************************** */
/* Schriftarten */
/* nunito-300 - latin */
@font-face {
    font-family: 'Nunito';
    font-style: normal;
    font-weight: 300;
    src: local(''),
         url('../fonts/nunito-v23-latin-300.woff2') format('woff2'), /* Chrome 26+, Opera 23+, Firefox 39+ */
         url('../fonts/nunito-v23-latin-300.woff') format('woff'); /* Chrome 6+, Firefox 3.6+, IE 9+, Safari 5.1+ */
  }
  /* nunito-regular - latin */
  @font-face {
    font-family: 'Nunito';
    font-style: normal;
    font-weight: 400;
    src: local(''),
         url('../fonts/nunito-v23-latin-regular.woff2') format('woff2'), /* Chrome 26+, Opera 23+, Firefox 39+ */
         url('../fonts/nunito-v23-latin-regular.woff') format('woff'); /* Chrome 6+, Firefox 3.6+, IE 9+, Safari 5.1+ */
  }
  /* nunito-500 - latin */
  @font-face {
    font-family: 'Nunito';
    font-style: normal;
    font-weight: 500;
    src: local(''),
         url('../fonts/nunito-v23-latin-500.woff2') format('woff2'), /* Chrome 26+, Opera 23+, Firefox 39+ */
         url('../fonts/nunito-v23-latin-500.woff') format('woff'); /* Chrome 6+, Firefox 3.6+, IE 9+, Safari 5.1+ */
  }
  /* nunito-700 - latin */
  @font-face {
    font-family: 'Nunito';
    font-style: normal;
    font-weight: 700;
    src: local(''),
         url('../fonts/nunito-v23-latin-700.woff2') format('woff2'), /* Chrome 26+, Opera 23+, Firefox 39+ */
         url('../fonts/nunito-v23-latin-700.woff') format('woff'); /* Chrome 6+, Firefox 3.6+, IE 9+, Safari 5.1+ */
  }

 /* merriweather-regular - latin */
@font-face {
    font-family: 'Merriweather';
    font-style: normal;
    font-weight: 400;
    src: local(''),
         url('../fonts/merriweather-v30-latin-regular.woff2') format('woff2'), /* Chrome 26+, Opera 23+, Firefox 39+ */
         url('../fonts/merriweather-v30-latin-regular.woff') format('woff'); /* Chrome 6+, Firefox 3.6+, IE 9+, Safari 5.1+ */
  }
  /* merriweather-700 - latin */
  @font-face {
    font-family: 'Merriweather';
    font-style: normal;
    font-weight: 700;
    src: local(''),
         url('../fonts/merriweather-v30-latin-700.woff2') format('woff2'), /* Chrome 26+, Opera 23+, Firefox 39+ */
         url('../fonts/merriweather-v30-latin-700.woff') format('woff'); /* Chrome 6+, Firefox 3.6+, IE 9+, Safari 5.1+ */
  }

  